FROM python:3
LABEL maintainer="Alexander Lercher"

ENV http_proxy http://proxy.uni-klu.ac.at:3128/
ENV https_proxy http://proxy.uni-klu.ac.at:3128/

RUN apt-get update

EXPOSE 5000

WORKDIR /app

# https://www.aptible.com/documentation/faq/deploy/dockerfile-caching/pip-dockerfile-caching.html
COPY src/data-hub/community-detection-microservice/app/requirements.txt /app/
RUN pip install -r requirements.txt

COPY src/modules/ /app/
COPY src/data-hub/community-detection-microservice/app/ /app/
RUN chmod a+x main.py

CMD ["python", "./main.py"]